<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwInstallation: Deprecated List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwInstallation
   &#160;<span id="projectnumber">8.4.2</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Deprecated List </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><dl class="reflist">
<dt><a class="anchor" id="_deprecated000045"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a8d0813d8862f12f381c15268b8e66bce">_fwInstallation_createAgentDataPointType</a>  (string type, bool create)</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000032"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a4adf0313f75add6eaa06fd973b98853c">_fwInstallation_createDataPointTypes</a>  (bool create, int &amp;result)</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000033"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a9522368d52c40420c96db47b507f55b1">_fwInstallation_createPendingActionsDataPointType</a>  ()</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000028"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#aed4c41206d59a0c75ce967fa80a56043">_fwInstallation_proposeInstallationDir</a>  ()</dt>
<dd>2018-11-06  </dd>
<dt><a class="anchor" id="_deprecated000026"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#ab9c535de9b807fd2133153e24e68f9d7">deleteComponents</a>  (dyn_string dynComponentsNames, bool deleteFiles)</dt>
<dd>2018-10-26  </dd>
<dt><a class="anchor" id="_deprecated000016"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a6a30be7fd8491d6a652072ac72f0f8b5">fwInstallation_AddComponentIntoConfigIntoMemory</a>  (dyn_string &amp;loadedSections, dyn_dyn_string &amp;configSectionTable, dyn_string &amp;configLines, string fileName, string componentName)</dt>
<dd>2018-05-24  </dd>
<dt><a class="anchor" id="_deprecated000015"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#abc1b9c9597095c3f9ea3f4a9618bcfca">fwInstallation_addComponentIntoConfigRedu</a>  (string componentConfigReduFile, string componentName)</dt>
<dd>2018-05-24  </dd>
<dt><a class="anchor" id="_deprecated000014"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#ad1f57d3e80eee1a0fc1208b61b503915">fwInstallation_addLibrary</a>  (string section, dyn_string libraryName)</dt>
<dd></dd>
<dt><a class="anchor" id="_deprecated000031"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a8493495ee41f145775125913d7635dcd">fwInstallation_addLibToConfig</a>  ()</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000010"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a490d1fc2120da69243850a1df9388af2">fwInstallation_addManager</a>  (string manager, string startMode, int secKill, int restartCount, int resetMin, string commandLine)</dt>
<dd></dd>
<dt><a class="anchor" id="_deprecated000004"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a71900bf0a56b3e61dedb34fd314c0bc5">fwInstallation_addScriptsIntoFile</a>  (dyn_string &amp;dynScriptsToBeAdded, string strComponentName)</dt>
<dd></dd>
<dt><a class="anchor" id="_deprecated000017"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#afb6d62af9bf697641695d5a8051610d5">fwInstallation_addValueIntoMemory</a>  (dyn_dyn_string &amp;configSectionTable, string section, string parameter, string value)</dt>
<dd>2018-05-24  </dd>
<dt><a class="anchor" id="_deprecated000009"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a859ce80647fbbf54d0e6b3cd16513cc0">fwInstallation_appendDriver</a>  (string defActivated, string manTitle, string manager, string startMode, int secKill, int restartCount, int resetMin, string commandLine)</dt>
<dd></dd>
<dt><a class="anchor" id="_deprecated000008"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a5d24e7b1a75a655462073d6a7887d3bc">fwInstallation_appendManager</a>  (bool defActivated, string manTitle, string manager, string startMode, int secKill, int restartCount, int resetMin, string commandLine)</dt>
<dd></dd>
<dt><a class="anchor" id="_deprecated000024"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a11e76ebee0b47c5fc02fd3f9611fbefd">fwInstallation_checkScript</a>  (string sourceDir, string subPath, string script)</dt>
<dd>2018-10-01  </dd>
<dt><a class="anchor" id="_deprecated000013"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#acecf59d17a4891e19ddd1b65ba5a5597">fwInstallation_compactSection</a>  (string section)</dt>
<dd></dd>
<dt><a class="anchor" id="_deprecated000018"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a4b3d2d8f685b198caa51b334ec194933">fwInstallation_configContainsValue</a>  (dyn_dyn_string &amp;configSectionTable, string section, string parameter, string value)</dt>
<dd>2018-05-24  </dd>
<dt><a class="anchor" id="_deprecated000006"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#aee17e6e6f000a9913061f7210fd5ca63">fwInstallation_createDpl</a>  (string fileName, dyn_string dataPointNames, dyn_string dataPointTypes="", string filter="DAOP")</dt>
<dd></dd>
<dt><a class="anchor" id="_deprecated000034"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a735b6879af9aa94f3c9cfb0f1cdceea1">fwInstallation_createPendingActionsDp</a>  ()</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000019"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a512c4649112234022b1313b11ef15138">fwInstallation_deleteComponentFromConfigInMemory</a>  (dyn_string &amp;loadedSections, dyn_dyn_string &amp;configSectionTable, dyn_string &amp;configLines, string componentName)</dt>
<dd>2018-05-24  </dd>
<dt><a class="anchor" id="_deprecated000011"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#aadd111be5ac27f7222a36e17c47942e3">fwInstallation_findManager</a>  (string manager, string commandLine, string &amp;startMode, int &amp;managerPos)</dt>
<dd></dd>
<dt><a class="anchor" id="_deprecated000005"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a674f4d73863185e40adeaa2612fe5d7a">fwInstallation_fwScriptsAddedToProgsFile</a>  ()</dt>
<dd></dd>
<dt><a class="anchor" id="_deprecated000002"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a95ff6ebc31ea7d18defb28dd67bbb171">fwInstallation_getComponentDescriptionXML</a>  (string descFile)</dt>
<dd><p class="startdd"></p>
<p class="enddd"></p>
</dd>
<dt><a class="anchor" id="_deprecated000027"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a8e7549f7175832cd428ebaf477fde8fd">fwInstallation_getInstalledComponentsUI</a>  (int reduHostNum=0)</dt>
<dd>2018-10-26  </dd>
<dt><a class="anchor" id="_deprecated000023"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a40e29af70058975839f428888af84ebe">fwInstallation_getListOfNotProperlyInstalledComponents</a>  (dyn_string &amp;dynNotProperlyInstalled)</dt>
<dd>2018-10-26  </dd>
<dt><a class="anchor" id="_deprecated000030"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a7a302d7c2f5ebb2e073154a393a79f6d">fwInstallation_init</a>  (bool runPostInstall=true, string installationPath="")</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000039"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#aada905708a091b33fd96783f3e432234">fwInstallation_installAgent</a>  ()</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000038"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a6cd192328a716b6893025a78a664b6dd">fwInstallation_isAgentInstalled</a>  ()</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000020"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#ad4337d3fcedd42a887f68cc1c357ecad">fwInstallation_loadConfigIntoTables</a>  (dyn_string &amp;loadedSections, dyn_dyn_string &amp;configSectionTable, dyn_string &amp;configLines, string fileName)</dt>
<dd>2018-05-24  </dd>
<dt><a class="anchor" id="_deprecated000041"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#afe01874a4baac96cefb0ee4cd49b5f63">fwInstallation_loadInitFile</a>  ()</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000007"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a46a7d734306b2c82e47d7bf13ce4acf4">fwInstallation_packNgo</a>  (string destinationFolder, dyn_string xmlDesc)</dt>
<dd></dd>
<dt><a class="anchor" id="_deprecated000042"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a761d1abbcd798d4f08ffebef85972569">fwInstallation_runInitScript</a>  ()</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000046"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a40d5a6edbe2e4c37679e85f2051e16ae">fwInstallation_stringVersionAsFloat</a>  (string reqVersion, int &amp;version, int &amp;major, int &amp;minor)</dt>
<dd>2019-12-02  </dd>
<dt><a class="anchor" id="_deprecated000037"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a3b35f2fdc9aa1cd996ff4aeb55802caa">fwInstallation_updateComponentDps</a>  ()</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000022"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a9d4d744c81ea739aa10beada00e699ee">fwInstallation_updateComponentVersionFormat</a>  (string componentName, int reduHostNum=0)</dt>
<dd>2018-10-24  </dd>
<dt><a class="anchor" id="_deprecated000035"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a69fe72fe6b52c084bde67e9ed1516238">fwInstallation_updateDPT</a>  ()</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000044"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#ad6d6bde36181b22fa9b0d57da1d9ac47">fwInstallation_updatePendingInstallationActions</a>  ()</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000040"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a49f8e8993a9cd0508507bcbaeb97403d">fwInstallation_updateToolVersionInDp</a>  ()</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000021"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a128901920997981a7bdfa32ee8dd52cf">fwInstallation_updateVersion</a>  ()</dt>
<dd>2018-10-15  </dd>
<dt><a class="anchor" id="_deprecated000043"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a639a2fe38af4e8000011f8f4f91e04db">fwInstallation_updateWCCOAInfo</a>  ()</dt>
<dd>2019-08-14  </dd>
<dt><a class="anchor" id="_deprecated000025"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#aece6be119ece0536445124e23cc3f8ef">fwInstallation_verifyPackage</a>  (string sourceDir, string subPath, string componentName, string destinationDir, bool registerOnly, dyn_string dynInitFiles, dyn_string dynPostInstallFiles, dyn_string dynDeleteFiles, dyn_string dynPostDeleteFiles, const dyn_string &amp;dynFileNames, int isSilent, bool &amp;actionAborted)</dt>
<dd>2018-10-01 Use <a class="el" href="fwInstallation_8ctl.html#a6f57e2ecf90942fbc2a6371266a6c844">fwInstallation_verifyDestinationDirAndSourceFiles()</a> instead  </dd>
<dt><a class="anchor" id="_deprecated000036"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a36e256d91becbdf7f7b252246311e946">fwInstallationInit_setAddManagersOnReduPartner</a>  (bool addManagersOnReduPartner)</dt>
<dd>2020-02-19  </dd>
<dt><a class="anchor" id="_deprecated000001"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a13fcb3e66c2e6fbbcd8520fc260fb0b6">fwInstallationXml_create</a>  (string pathName, string componentName, string componentVersion, string componentDate, dyn_string requiredComponents, bool isSubComponent, dyn_string preInitScripts, dyn_string initScripts, dyn_string deleteScripts, dyn_string postInstallScripts, dyn_string postDeleteScripts, dyn_string configFiles, dyn_string asciiFiles, dyn_string panelFiles, dyn_string scriptFiles, dyn_string libraryFiles, dyn_string otherFiles, bool dontRestartProject, dyn_string &amp;xmlDesc)</dt>
<dd></dd>
<dt><a class="anchor" id="_deprecated000029"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#a3e351541cbcdac85bfd336a9756027f2">fwInstallationXml_decode</a>  (string strComponentFile, string &amp;componentName, string &amp;componentVersion, string &amp;date, dyn_string &amp;dynRequiredComponents, bool &amp;isSubComponent, dyn_string &amp;dynPreInitFiles, dyn_string &amp;dynInitFiles, dyn_string &amp;dynDeleteFiles, dyn_string &amp;dynPostInstallFiles, dyn_string &amp;dynPostDeleteFiles, dyn_string &amp;dynConfigFiles_general, dyn_string &amp;dynConfigFiles_windows, dyn_string &amp;dynConfigFiles_linux, dyn_string &amp;dynDplistFiles, dyn_string &amp;dynPanelFiles, dyn_string &amp;dynScriptFiles, dyn_string &amp;dynLibFiles, dyn_string &amp;dynComponentFiles, dyn_string &amp;dynSubComponents, dyn_string &amp;dynScriptsToBeAdded, dyn_string &amp;dynFileNames, bool &amp;dontRestartProject)</dt>
<dd>2018-11-23  </dd>
<dt><a class="anchor" id="_deprecated000012"></a>Member <a class="el" href="fwInstallationDeprecated_8ctl.html#ad0c4266f76351a9391f8605b2029c389">pmonGetManagers</a>  (bool &amp;err, string projName, dyn_int &amp;manPos, dyn_string &amp;manager, dyn_int &amp;startMode, dyn_int &amp;secKill, dyn_int &amp;restartCount, dyn_int &amp;resetMin, dyn_string &amp;commandLine)</dt>
<dd></dd>
</dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
